Retrieve orders
curl --request GET \
--url https://dev.sbx.imprint.co/v2/orders \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://dev.sbx.imprint.co/v2/orders"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://dev.sbx.imprint.co/v2/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"payment_method_id": "0144ea84-3c39-4382-a37a-03c699b77646",
"partner_order_id": "o-c8a1fe46bbff4a18ba1d",
"total_order_amount": 274999,
"id": "77f60af4-185e-4867-b113-34e3cf7c6acd",
"customer_id": "1bb0ab64-ed57-4f2f-bd8d-ab04d1a365c5",
"merchant_id": "m-123456789",
"merchant_name": "Rest Assured",
"merchant_address": [
{
"street_line1": "123 Main St",
"street_line2": "Apt 4B",
"city": "San Francisco",
"state": "CA",
"postal_code": "94105",
"country": "USA"
}
],
"order_lines": [
{
"name": "Couch Supreme",
"product_url": "www.restassured.com/couch-supreme",
"quantity": 1,
"rate": 274999,
"rewards_rate": 2500
}
],
"total_rewards_amount": 2500,
"currency": "USD",
"created_at": "2025-02-13T19:08:07Z",
"updated_at": "2025-02-13T19:08:07Z"
}
]
}Orders
Retrieve orders
Get a list of orders
GET
/
v2
/
orders
Retrieve orders
Authorizations
basicAuthbearerAuth
Basic HTTP authentication. Allowed headers-- Authorization: Basic <base64(api_key_id:api_key_secret)>
Query Parameters
An order ID. If provided, the response will only have a maximum of one result.
Partner's order identifier
Response
200 - application/json
List of orders
List of orders
Show child attributes
Show child attributes
⌘I